ASINH(3)

NAME
asinh, asinhf, asinhl - inverse hyperbolic sine function

SYNOPSIS
#include <math.h>

double asinh(double x);
float asinhf(float x);
long double asinhl(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

asinh():
    _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE >= 500 || _XOPEN_SOURCE && _XOPEN_SOURCE_EXTENDED || _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L;
    or cc -std=c99
asinhf(), asinhl():
    _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE >= 600 || _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L;
    or cc -std=c99

DESCRIPTION
The asinh() function calculates the inverse hyperbolic sine of x; that is the value whose hyperbolic sine is x.

RETURN VALUE
On success, these functions return the inverse hyperbolic sine of x. If x is a NaN, a NaN is returned. If x is +0 (-0), +0 (-0) is returned. If x is positive infinity (negative infinity), positive infinity (negative infinity) is returned.

ERRORS
No errors occur.

CONFORMING TO
C99, POSIX.1-2001. The variant returning double also conforms to SVr4, 4.3BSD, C89.

SEE ALSO
acosh(3), atanh(3), casinh(3), cosh(3), sinh(3), tanh(3)

COLOPHON
This page is part of release 3.32 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.